Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList:

[legend]
Collaboration diagram for ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList (void)
| _TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList (CORBA::ULong maximum, CORBA::ULong length, ServerInformation *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList (const _TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList &rhs)
_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList & | operator= (const _TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList &rhs)
virtual | ~_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList (void)
ServerInformation & | operator[] (CORBA::ULong i)
const ServerInformation & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
ServerInformation * | get_buffer (CORBA::Boolean orphan=0)
const ServerInformation * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, ServerInformation *data, CORBA::Boolean release)
## Static Public Methods
ServerInformation * | allocbuf (CORBA::ULong size)
void | freebuf (ServerInformation *buffer)

## Constructor & Destructor Documentation

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList | ( | void |  | ) |

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList | ( | CORBA::ULong | maximum | ) |

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | ServerInformation * | data,
|  | CORBA::Boolean | release = 0
| ) |

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList | ( | const _TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList & | rhs | ) |

ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::~_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

ServerInformation* ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::freebuf | ( | ServerInformation * | buffer | ) | `[static]`

const ServerInformation* ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::get_buffer | ( | void |  | ) | const

ServerInformation* ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList& ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::operator= | ( | const _TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList & | rhs | ) |

const ServerInformation& ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::operator[] | ( | CORBA::ULong | i | ) | const

ServerInformation& ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::operator[] | ( | CORBA::ULong | i | ) |

void ImplementationRepository::_TAO_Unbounded_Sequence_ImplementationRepository_ServerInformationList::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | ServerInformation * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp